import logging

from PySide6.QtWidgets import QWidget, QGridLayout, QVBoxLayout, QLabel, QPushButton, QFileDialog, QHBoxLayout, QComboBox, QSizePolicy
from PySide6.QtCore import QThreadPool
from PySide6.QtGui import QImage, QPixmap

from fixtracks.utils.reader import ImageReader

class FixTracks(QWidget):
    def __init__(self, parent=None):
        super().__init__(parent)
        self._files = None
        layout = QVBoxLayout()
        layout.addWidget(QLabel("Fix Tracks!"))
        self.setLayout(layout)

    @property
    def fileList(self, file_list):
        self._files = file_list